<?php
include("lib/config.php");
include("funcoes.inc");

$_SESSION[numero_guia]="";
$_SESSION[guia]="";
$_SESSION[cnpj]="";
$_SESSION[exercicio]="2008";
$_SESSION[nome]="";
$_SESSION[trabalhador_cpf]="";
$_SESSION[trabalhador_nome]="";
$_SESSION[responsavel_nome]="";
$_SESSION[responsavel_telefone]="";
$_SESSION[protocolo]="";
$_SESSION[ACAO]="";
?>

<SCRIPT language=JavaScript>
  window.status='SINSWeb ';

  function fRetornar()
    {window.parent.open("../index.php", "_top");}
  
function right(e) {
if (navigator.appName == 'Netscape' && (e.which == 3 || e.which == 2)){
alert("Ops!");
return false;
}
else if (navigator.appName == 'Microsoft Internet Explorer' &&
(event.button == 2 || event.button == 3)) {
alert(" Site Protegido - Todos os diretos reservados!");
return false;
}
return true;
}
document.onmousedown=right;
if (document.layers) window.captureEvents(Event.MOUSEDOWN);
window.onmousedown=right;

</SCRIPT>
   <html>
    <head>
	<script language="javascript">

	<!--aqui começa a função para desabilitar a tecla enter
function desabilitarenter() {
var tecla = event.keyCode;
if ((tecla == 13)) {
    return false;
}
return tecla;
}
// --> aqui termina a função para desabilitar a tecla enter.
</script>
    <script type="text/javascript" language="JavaScript1.2">
function ValidaDvCei(Cei)
{
   var nPosIni;
   if (Cei == 0)
      {return false;}
	
	// Concatena zeros ao codigo
	Cei     = "000000000000" + Cei;
	nPosIni = Cei.length - 12;
	Cei     = Cei.substring(nPosIni,Cei.length);

	var cNumero  = Cei.substring(0,11);
	var nDv      = Cei.substring(11,12);
	var nSoma    = 0;
	var cMat     = " ";
	var matriz   = "74185216374";
	var nTam     = 0;
	
	for (var i = 0; i <= 10; i++)       
	   {nSoma = nSoma + (cNumero.substring(i,i+1) * matriz.substring(i,i+1));}
	nSoma = nSoma + "";
	nTam = nSoma.length;
	
	var nAux = (nSoma.substring(0,nTam-1) * 1) + (nSoma.substring(nTam-1,nTam) * 1);                   
	nAux = nAux + "";
	nTam = nAux.length;	
	if (nTam == 1)
	   {var nUnidade = nAux.substring(0,1);}
	else
	   {var nUnidade = nAux.substring(1,2);}                                                                                                  
	nDvCalc = 10 - (nUnidade * 1);
	if (nDvCalc > 9) 
	   {nDvCalc = 0;}

	if (nDvCalc == nDv)
	   {return true;}
	else
	   {return false;}
    return;	
   }             	

        function fImprimir()
        {
		  window.parent.open("reimprimir.php?cnpj="+document.fGuia.fCnpj.value,'dentro'); 
        }

        function sCancela()
        {
		  window.parent.open("cancelar.php?cnpj="+document.fGuia.fCnpj.value,'dentro'); 
        }

        function sConfirma()
        {
        if (sConsiste(document.fGuia))
           {
			   
			<?php $_SESSION[ACAO]='PROCURA'; ?>;
            document.fGuia.submit();
           }
        }

        function sConsiste(df)
        {

        if (df.fCnpj.value == "17219585000138")
            {
            alert("ATENÇÃO!! Digite o CNPJ da Empresa que fará a homologação!");
            df.fCnpj.focus();
            return false;
			}

        if (df.fCnpj.value == "")
            {
            alert("Informe o campo CNPJ/CEI/CPF.");
            df.fCnpj.focus();
            return false;
            }

         if (document.fGuia.dTipo.value=="CEI")
		 {
            pNro   = document.fGuia.fCnpj.value.length;
            if ( (pNro != 12) )
            {
            alert("CEI Inválido. Digite os 12 numeros que compoem o CEI");
            df.fCnpj.focus();
            return false;
            }
		 
            if (!ValidaDvCei(document.fGuia.fCnpj.value)) 
            { 
			  alert("O CEI informado está incorreto.");
	          document.fGuia.fCnpj.focus();
              document.fGuia.fCnpj.select();                                                
              return false;                                                              
            }
           return true;                                                              
		  }

        if (df.fCnpj.value == "00000000000000")
			{
			alert("CNPJ Inválido! Número não confere");
            df.fCnpj.focus();
            return false;
            }

         if (document.fGuia.dTipo.value=="CNPJ")
            {

            pNro   = document.fGuia.fCnpj.value.length;
            pCod1  = document.fGuia.fCnpj.value.substring(0,2);
            pCod2  = document.fGuia.fCnpj.value.substring(2,5);
            pCod3  = document.fGuia.fCnpj.value.substring(5,8);
            pCod4  = document.fGuia.fCnpj.value.substring(8,12);
            pCod5  = document.fGuia.fCnpj.value.substring(12,14);

            if ( (pNro != 14) )
            {
            alert("CNPJ Inválido. Digite os 14 numeros que compoem o CNPJ");
            df.fCnpj.focus();
            return false;
            }

            var i, j, k, Soma;
            var CNPJ = pCod1+""+pCod2+""+pCod3+""+pCod4+""+pCod5;

            if (CNPJ.length != 14)
            {
           alert("CNPJ Inválido! Verifique o número digitado");
            df.fCnpj.focus();
            return false;
            }

            k = 0;
            while (k <= 1)
             {
                Soma = 0;
              j = 5 + k;
              for (i=0; i <= 11+k; i++)
                {
                 Soma += parseInt(CNPJ.charAt(i),10)*j;
                 if ( j != 2)
                  {
                   j--;
                }
                     else
                  {
                   j = 9;
                }
                }
              Soma = 11 - Soma%11;
              if (Soma >= 10)
               {
                Soma = 0;
               }
              if ( Soma != parseInt(CNPJ.charAt(12+k)))
               {
                alert("CNPJ Inválido! Tente novamente");
                    df.fCnpj.focus();
                  return false;
               }
              k++;
               }
            return true;
            }

         if (document.fGuia.dTipo.value=="CPF")
            {
			if (df.fCnpj.value == "00000000000")
			{
			alert("CPF Inválido!");
            df.fCnpj.focus();
            return false;
            }

            pNro   = document.fGuia.fCnpj.value.length;
            pNro1  = document.fGuia.fCnpj.value.substring(0,1);
            pNro2  = document.fGuia.fCnpj.value.substring(1,2);
            pNro3  = document.fGuia.fCnpj.value.substring(2,3);
            pNro4  = document.fGuia.fCnpj.value.substring(3,4);
            pNro5  = document.fGuia.fCnpj.value.substring(4,5);
            pNro6  = document.fGuia.fCnpj.value.substring(5,6);
            pNro7  = document.fGuia.fCnpj.value.substring(6,7);
            pNro8  = document.fGuia.fCnpj.value.substring(7,8);
            pNro9  = document.fGuia.fCnpj.value.substring(8,9);
            pNro10 = document.fGuia.fCnpj.value.substring(9,10);
            pNro11 = document.fGuia.fCnpj.value.substring(10,11);

            if ( (pNro != 11) )
            {
            alert("CPF Inválido. Digite os 11 números que compoem o CPF");
            df.fCnpj.focus();
            return false;
            }

           soma=10*pNro1+9*pNro2+8*pNro3+7*pNro4+6*pNro5+5*pNro6+4*pNro7+3*pNro8+2*pNro9
           soma=soma-(11*(parseInt(soma/11)))

           if (soma==0)
              {
              resultado1=0
              }
           if (soma==1)
              {
              resultado1=0
              }
           if (soma>1)
              {
              resultado1=11-soma
              }

           if (resultado1!=pNro10)
              {
              alert("CPF Inválido. Tente novamente");
              df.fCnpj.focus();
              return false;
              }

           if (resultado1==pNro10)
              {
              soma=pNro1*11+pNro2*10+pNro3*9+pNro4*8+pNro5*7+pNro6*6+pNro7*5+pNro8*4+pNro9*3+pNro10*2;
              soma=soma-(11*(parseInt(soma/11)));
              if (soma==0)
                 {
                 resultado1=0
                 }
              if (soma==1)
                 {
                 resultado1=0
                 }
              if (soma>1)
                 {
                 resultado1=11-soma
                 }
              if (resultado1!=pNro11)
                 {
                 alert("CPF Inválido! Digite novamente.");
                 df.fCnpj.focus();
                 return false;
                 }
              }

           return true;
           }

  	 }

    </script>
    <link href="css/my.css" rel="stylesheet" type="text/css">
    <style type="text/css">
         input  { font-family: Verdana; font-size: 8pt }
         select { font-family: Verdana; font-size: 8pt }

    </style>
   </head>
</html>
   <html>
    <head>
    <style type="text/css">
         input  { font-family: Verdana; font-size: 8pt }
         select { font-family: Verdana; font-size: 8pt }

    </style>
    <title>:: Agendamento Homologação ::</title>
    <style type="text/css">
<!--
.style3 {
	font-size: 9px;
	font-weight: bold;
}
-->
    </style>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <script language="JavaScript" type="text/JavaScript">
<!--
function MM_reloadPage(init) {  //reloads the window if Nav4 resized
  if (init==true) with (navigator) {if ((appName=="Netscape")&&(parseInt(appVersion)==4)) {
    document.MM_pgW=innerWidth; document.MM_pgH=innerHeight; onresize=MM_reloadPage; }}
  else if (innerWidth!=document.MM_pgW || innerHeight!=document.MM_pgH) location.reload();
}
MM_reloadPage(true);
//-->
    </script>
    <script src="js/AC_RunActiveContent.js" type="text/javascript"></script>
    </head>
    <body topmargin="0" onLoad="fGuia.fCnpj.focus();">
<table width="766" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td class=titulo height="19">&nbsp;</td>
  </tr>
  <tr> 
    <td class=titulo_topo width="766" height="19">Agendamento Homologa&ccedil;&atilde;o OnLine</td>
  </tr>
  <tr>
    <td height="19"><img src="img/etapa1.gif" width="868" height="76"></td>
  </tr>
  <tr> 
    <td> <div align="center"> 
        <div align="left">
          <blockquote>
            <p>&nbsp;</p>
          </blockquote>
        </div>
        <p align="right">&nbsp; <br>
        </p>
        <table width="485" border="0" align="center" cellpadding="10" cellspacing="0">
          <tr>
            <td colspan="3"><form ACTION="acoes.php" METHOD="POST" name="fGuia" target="dentro" onKeyPress="return desabilitarenter();" FORM>
              <table border="0" cellpadding="0" cellspacing="0" width="100%">
                <tr>
                  <td valign="top"><div align="left">
                    <table border="0" align="center" cellspacing="0">
                      <tr>
                        <td colspan="4" valign="top"><hr></td>
                      </tr>
                      <tr>
                        <td width="51" valign="top"><p align="right">&nbsp;</p></td>
                        <td width="66" valign="top">&nbsp;</td>
                        <td width="135" valign="top">&nbsp;</td>
                        <td width="107" valign="top"><p>&nbsp;</p></td>
                      </tr>
                      <tr>
                        <td valign="top"><p align="right"><font face="Verdana" size="1">&nbsp;&nbsp;</font></p></td>
                        <td valign="top"><div align="right"><font face="Verdana"><span class="style3">Tipo:</span></font><strong><font face="Verdana" size="1">&nbsp;</font></strong></div></td>
                        <td valign="top"><select size="1" name="dTipo" style=
    "font-family: Tahoma; font-size: 8 pt">
                          <option value="CNPJ" selected>CNPJ - Empresas</option>
                          <option value="CEI">CEI - Aut&ocirc;nomos</option>
                        </select></td>
                        <td valign="top"><p>
                          <input name="Button" type="button" style=
    "font-family: Tahoma; font-size: 8 pt; color: #FF0000; width: 200px"  onClick="sConfirma(); " value="Agendar">
                        </p></td>
                      </tr>
                      <tr>
                        <td valign="top">&nbsp;</td>
                        <td valign="top"><div align="right"><font face="Verdana" size="1"><strong>CNPJ/CEI</strong></font></div></td>
                        <td valign="top"><input type="text" name="fCnpj" size="20" maxlength=
    "14"></td>
                        <td valign="top"><input name="Button2" type="button" style=
    "font-family: Tahoma; font-size: 8 pt; color: #FF0000; width: 200px" onClick="sCancela(); " value="Cancelar"></td>
                      </tr>
                      <tr>
                        <td valign="top">&nbsp;</td>
                        <td valign="top">&nbsp;</td>
                        <td valign="top">&nbsp;</td>
                        <td valign="top"><input name="btnImprimir" type="button"  style=
    "font-family: Tahoma; font-size: 8 pt; color: #00F; width: 200px" onClick="fImprimir();" value="     Reimprimir protocolo    " id="btnImprimir"></td>
                      </tr>
                      <tr>
                        <td valign="top">&nbsp;</td>
                        <td valign="top">&nbsp;</td>
                        <td valign="top">&nbsp;</td>
                        <td valign="top"><input name="button" type="button"  style=
    "font-family: Tahoma; font-size: 8 pt; color: #000; width: 200px" onClick="fRetornar();" value="            Retornar               "></td>
                      </tr>
                    </table>
                  </div>
                    <div align="center"></div>
                    <div align="left">
                      <div align="center"></div>
                    </div></td>
                </tr>
              </table>
            </form></td>
          </tr>
          <tr>
            <td width="267">&nbsp;</td>
            <td width="88">&nbsp;</td>
            <td width="62">&nbsp;</td>
          </tr>
        </table>
<p align="right">&nbsp; </p>
      </div></td>
  </tr>
  <tr>
    <td>&nbsp;</td>
  </tr>
</table>
    </body>
   </html>

    </body>
</html>